Name:		xvarstar
Version:	0.9
Release:	3%{?dist}
Summary:	XVarStar is an astronomical program used for searching GCVS

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://virtus.freeshell.org/%{name}/
Source0:	http://virtus.freeshell.org/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	lesstif-devel desktop-file-utils

%description
XVarStar is a astronomical program written for variable star observers, and is
 used for searching GCVS catalogue.  It allows searching by following criteria:
-star name 
-magnitude 
-type 
-constellation 
-amplitude 
-This searching criteria can be combined so one can search for example all 
variable stars located in Andromeda constellation and with magnitude 
brighter than 5.00.


%prep
%setup -q
%patch0 -p0 -b .patch
aclocal
automake-1.10 --no-force

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1} --vendor=fedora

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop

%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Sun Sep  7 2008 <mmahut@fedoraproject.org> - 0.9-3
- Fixing license tag at FUDCon Brno 2008

* Sat Jun 28 2008  <telimektar1er@gmail.com> - 0.9-2
- Removed encoding section from the .desktop and renaming of the patch

* Fri May  2 2008  <telimektar1er@gmail.com> - 0.9-1
- Initial Package


